=== debian/changelog ===
didder (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1100090)

 -- Nicolas Peugnet <nicolas@club1.fr>  Wed, 12 Mar 2025 21:35:39 +0100
