=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

LDFLAGS := -X main.version=$(DEB_VERSION_UPSTREAM)
LDFLAGS += -X main.commit=$(DEB_VERSION)
LDFLAGS += -X main.builtBy=dh-golang

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build --builddirectory=_build --buildsystem=golang -- -ldflags '$(LDFLAGS)'

override_dh_auto_install:
	dh_auto_install -- --no-source
